<template>
  <div>
    <Navbar></Navbar>
    <jumbo></jumbo>
    <mesaj></mesaj>
    <Posts :posts="posts"></Posts>
  </div>
</template>

<script>
import Navbar from "./components/Navbar.vue";
import Posts from "./components/Posts.vue";
import Jumbo from "./components/Jumbo.vue";
import Mesaj from "./components/Mesaj.vue"
// import * as $ from "jquery";
class Post{
  title
  body
  saved
  id
}
export default {
  name: "App",
  components: {
    Navbar,
    Posts,
    Jumbo,
    Mesaj
  },
  data() {
    return {
      posts: []
    };
  },
  created() {
    // const test = this.posts
    // $.ajax({
    // //   // url: "https://jsonplaceholder.typicode.com/posts",
    //   url: "https://dashboard.productlead.evx/jsonTest",
    //   cache: false,
    //   success: function(json) {
    //     json.forEach(el => {
    //       el.saved = false
    //     });
    //     console.log(json)

    //     // this.posts = json.map(post => {
    //     //   post.saved = false;
    //     //   return post;
    //     // });
    //   }
    // });
    // fetch("https://jsonplaceholder.typicode.com/posts?_limit=10")
    fetch("https://dashboard.productlead.evx/jsonTest")
      .then(response => response.json())
      .then(json => {
        console.log(json)
        
        // this.posts = json.map(post => {
        //   post.saved = false;

        //   return post;
        // });

        let arr = []
        json.forEach(element => {
          let postn = new Post()
          postn.body = element.body
          postn.title = element.title
          postn.id = element.id
          arr.push(postn)
        });
        console.log(arr)
        

        // this.posts = json;
      });
  }
};
</script>

<style>
</style>
